package com.github.dtschust.zork;

/* Status conditions*/
public class ZorkConditionStatus extends ZorkCondition {
    private final String status;

    public ZorkConditionStatus(final String status, final String object) {
        super(object);
        this.status = status;
    }

    @Override
    public boolean evaluate(final ZorkGame game) {
        return game.getObject(object).map(o -> o.isStatusEqualTo(status)).orElse(false);
    }
}
