package com.github.dtschust.zork.repl;

import com.github.dtschust.zork.ZorkGame;

import java.util.List;

public interface Action {
    boolean matchesInput(final List<String> arguments);

    default int getMinimumArgCount() {
        return 1;
    }

    default int getMaximumArgCount() {
        return Integer.MAX_VALUE;
    }

    boolean run(final ZorkGame game, final List<String> arguments);
}
